GDB (xrefs)

Functions
py-exitedevent.c File Reference
`#include "defs.h"`
`#include "py-event.h"`

Go to the source code of this file.

## Functions
static PyObject * | create_exited_event_object (const LONGEST *exit_code, struct inferior *inf)
int | emit_exited_event (const LONGEST *exit_code, struct inferior *inf)

## Function Documentation

## ◆ create_exited_event_object()

static PyObject* create_exited_event_object | ( | const LONGEST * | exit_code,
|  | struct inferior * | inf
| ) |  |
| static

Definition at line 24 of file py-exitedevent.c.

References create_event_object(), evpy_add_attribute(), gdb::ref_ptr< T, Policy >::get(), inferior_to_inferior_object(), and gdb::ref_ptr< T, Policy >::release().

Referenced by emit_exited_event().

## ◆ emit_exited_event()

int emit_exited_event | ( | const LONGEST * | exit_code,
|  | struct inferior * | inf
| ) |  |

Definition at line 55 of file py-exitedevent.c.

References create_exited_event_object(), evpy_emit_event(), evregpy_no_listeners_p(), gdb_py_events, and gdb::ref_ptr< T, Policy >::get().

Referenced by python_inferior_exit().